docs

# HandleableTriggersHolder

open class HandleableTriggersHolder < T >(preset: List < T > = emptyList())
Content copied to clipboard

## Constructors

HandleableTriggersHolder
Link copied to clipboard
fun < T > HandleableTriggersHolder (preset: List < T > = emptyList())
Content copied to clipboard

## Functions

registerHandleable
Link copied to clipboard
suspend fun registerHandleable (data: T )
Content copied to clipboard
unregisterHandleable
Link copied to clipboard
suspend fun unregisterHandleable (data: T )
Content copied to clipboard

## Properties

handleable
Link copied to clipboard
val handleable : List < T >
Content copied to clipboard

## Inheritors

HandleableCallbackBasedHolder
Link copied to clipboard
HandleableRegexesHolder
Link copied to clipboard